### Method

# GLib Variant equal

since: 2.24

#### Declaration

    gboolean
    g_variant_equal (
      gconstpointer one,
      gconstpointer two
    )

#### Description

Checks if `one` and `two` have the same type and value.

The types of `one` and `two` are #gconstpointer only to allow use of this function with `GHashTable`. They must each be a `GVariant`.

Available since: 2.24

#### Parameters

`two`

  Type: `GVariant`

  A `GVariant` instance.

#### Return value

Type: `gboolean`

`TRUE` if `one` and `two` are equal.